%define upstream_name Horde_Notification
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 2
Summary:    	Horde Notification System
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear

Requires:    	php-pear-Horde_Exception <= 2.0.0
Requires:    	php-pear-Horde_Util <= 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Util = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Notification = %{version}
Obsoletes:	horde-notification

%description
The Horde_Notification library provides a subject-observer pattern for
raising and showing messages of different types and to different listeners.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Notification.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Notification.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Notification
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Notification.php
%{peardir}/Horde/Notification/Event.php
%{peardir}/Horde/Notification/Event/Status.php
%{peardir}/Horde/Notification/Exception.php
%{peardir}/Horde/Notification/Handler.php
%{peardir}/Horde/Notification/Handler/Decorator/Alarm.php
%{peardir}/Horde/Notification/Handler/Decorator/Base.php
%{peardir}/Horde/Notification/Handler/Decorator/Log.php
%{peardir}/Horde/Notification/Listener.php
%{peardir}/Horde/Notification/Listener/Audio.php
%{peardir}/Horde/Notification/Listener/Status.php
%{peardir}/Horde/Notification/Storage/Interface.php
%{peardir}/Horde/Notification/Storage/Object.php
%{peardir}/Horde/Notification/Storage/Session.php
%{peardir}/tests/Horde_Notification/Horde/Notification/AllTests.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Autoload.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Event/StatusTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/EventTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Handler/Decorator/AlarmTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Handler/Decorator/HordelogTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Handler/Decorator/LogTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/HandlerTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Listener/AudioTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/Listener/StatusTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/Notification/ListenerTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/Class/NotificationTest.php
%{peardir}/tests/Horde_Notification/Horde/Notification/phpunit.xml

%{xmldir}/Horde_Notification.xml


%changelog

* Sat Dec 31 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 189372
- corrected wrong provides php-pear-Horde_Argv with php-pear-Horde_Notofication = %%{version}

* Mon Nov 28 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 173376
- upgrade to 1.0.1
  replaced License: BSD with LGPL-2.1
- imported package php-pear-Horde_Notification

